import en from '@vueform/vueform/locales/en'
import tailwind from '@vueform/vueform/themes/tailwind'

import { Validator } from '@vueform/vueform'

const phoneRule = class extends Validator {
  get message() {
    return 'The What is your primary phone number? filed requires a valid phone number'
  }

  check(value) {
    return /^(07|01)(\d){8}$/.test(value);
  }
};

export default {
  theme: tailwind,
  locales: { en },
  locale: 'en',
  floatPlaceholders: false,
  rules: {
    phone: phoneRule,
  },
  endpoints: {
    registration: {
      url: 'https://webhook.site/af68d53b-063e-4588-a1ae-e49bc8cf5167',
      method: 'post'
    }
  }
}